package com.bcxin.risk.report.enums.draft;

/**
 * 段落级别
 * @author luopeng
 *
 */
public enum Level {
	
	ONE{public String getValue(){return "1";} public String getName(){return "一级";}},
	
	TWO{public String getValue(){return "2";} public String getName(){return "二级";}},
	
	THREE {public String getValue(){return "3";} public String getName(){return "三级";}};
	

    public abstract String getValue();
    
    public abstract String getName();
    
    public static Level convert_value(String value){
    	if ( "1".equals(value) ) {
    		return Level.ONE;
    	} else if ( "2".equals(value) ) {
    		return Level.TWO;
    	} else if ("3".equals(value)) {
    		return Level.THREE;
    	} 
    	return null;
    }
 
}
